Opened 10 years ago

Closed 6 years ago

#387 closed defect (Unsupported Version)

Testing ACPI315.ZIP

Reported by: ecsnl Owned by: eco
Priority: major Milestone: Release version 3.19
Component: ACPI PSD Version:
Keywords: Cc:

Description

I did not know if it was needed. But I tested this build also on my Thinkpad T60. I use the utility CPU.EXE to throttle the CPU'.s With basicly all ACPI builds I have used this has worked. With this new build something goes wrong. The machine becomes unresponsive when CPU.exe is loaded and it throttles the CPU. Look in the log for the lines :F9094AB4 Emm wait lock 2725 Cnt:1 VA:F9094AB4

When I look in the full screen VIO sessions these lines come by very quickly.

acpi_debug.txt is the output of ACPICA$ after startup. throttle.txt is with the debug output that occurs when cpu.exe has ran.

Attachments (2)

throttle.txt (51.2 KB) - added by ecsnl 10 years ago.
acpi_debug.txt (17.1 KB) - added by ecsnl 10 years ago.

Download all attachments as: .zip

Change History (12)

Changed 10 years ago by ecsnl

Changed 10 years ago by ecsnl

comment:1 Changed 10 years ago by pasha

  • Owner changed from eco to pasha

Try add word Polling to acpi.cfg

comment:2 Changed 10 years ago by ecsnl

To get back to this, where do I add the word polling to ACPI.CFG ? like polling=1 ?

comment:3 Changed 9 years ago by pasha

  • Owner pasha deleted

comment:4 Changed 9 years ago by ecsnl

You missed my question ? What should I put in acpi.cfg ? I don't understand the syntax.

second I tried now ACPI 3.15 and cpu.exe no longer works now with thw acpi315.zip build:

Signature: @#netlabs dot org:3.15#@##1## 29 Apr 2009 10:17:52 pasha::: :0::@@ ACPI core PSD Driver. (c) netlabs.org 2005-2009 Vendor: netlabs dot org Revision: 3.15 Date/Time?: 29 Apr 2009 10:17:52 Build Machine: pasha File Version: 3.15 Description: ACPI core PSD Driver. (c) netlabs.org 2005-2009

CPU.exe now prints (this is the cpu.exe from hobbes).

Speed Steps to be used are: 101 %

Throttling steps initialized. This CPU supports 1 stpes for throttling.

minimum: 101 %, maximum: 101 %

Currently running at 100% JUMP

comment:5 Changed 9 years ago by pasha

  • Owner set to pasha

comment:6 Changed 9 years ago by ecsnl

Oke your new build of ACPI315.zip works very well with CPU.EXE!!! Infacts it works better then ever before! With previous builds CPU.EXE did work however, I never reported this, CPU.EXE would with older builds of ACPI.PSD hang after some time. It would not hang the system but cpu.exe would stop to throttling the CPU.

With:

Build Level Display Facility Version 6.12.675 Sep 25 2001 (C) Copyright IBM Corporation 1993-2001 Signature: @#netlabs dot org:3.15#@##1## 11 May 2009 15:29:35 pasha::: :0::@@ ACPI core PSD Driver. (c) netlabs.org 2005-2009 Vendor: netlabs dot org Revision: 3.15 Date/Time?: 11 May 2009 15:29:35 Build Machine: pasha File Version: 3.15 Description: ACPI core PSD Driver. (c) netlabs.org 2005-2009

It just keeps going and my Thinkpad T60 remains a kewl system :-)

The code has one small bug left. CPU.EXE now reports:

SPEED SHIFT detected for 25%, 37%, 50%, 62%, 75%, 87%, Where is the Turbo mode ? 100% ?:-)

Roderick

comment:7 Changed 9 years ago by ecsnl

  • Milestone changed from Release version 3.15 to Release version 3.16
  • Version 3.14 deleted

ACPI 3.16 also has this problem it only goes to 87%.

Build Level Display Facility Version 6.12.675 Sep 25 2001 (C) Copyright IBM Corporation 1993-2001 Signature: @#netlabs dot org:3.16#@##1## 29 May 2009 04:33:40 :0::@@ ACPI core PSD Driver. (c) netlabs.org 2005-2009 Vendor: netlabs dot org Revision: 3.16 Date/Time?: 29 May 2009 04:33:40 Build Machine: pasha File Version: 3.16 Description: ACPI core PSD Driver. (c) netlabs.org 2005-2009

Where is the 100% ?

:-)

Thanks

Roderick

comment:8 Changed 8 years ago by pasha

Please download experimental ACPI build from Mensys site:

  • Experimental build for you:

acpi319ForDesktop.zip

comment:9 Changed 8 years ago by pasha

  • Owner changed from pasha to eco

comment:10 Changed 6 years ago by dazarewicz

  • Resolution set to Unsupported Version
  • Status changed from new to closed

This ticket is really old and not really relevant to the current software. If you still have problems with the current version, please open a new ticket.

Note: See TracTickets for help on using tickets.